scala.xml
class Text

[source: `scala/xml/Text.scala`]

`case` `class` Text(`val` _data : java.lang.String)
  `extends` Atom[java.lang.String]`with` Product

  The class `Text` implements an XML node for text (PCDATA). It is used in both non-bound and bound XML representations.

Author
  Burak Emir
Parameters
  `text -` the text contained in this node, may not be null.

Values and Variables inherited from Atom
data

Method Summary
`override final def` | equals (x : Any) : Boolean Returns true if x is structurally equal to this node. Compares prefix, label, attributes and children.
`override final def` | productArity : Int return k for a product `A(x_1,...,x_k))`
`override final def` | productElement (arg0 : Int) : Any for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`
`override final def` | productPrefix : java.lang.String By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.
`override def` | toString (sb : StringBuilder) : StringBuilder Returns text, with some characters escaped according to the XML specification.

Methods inherited from Product
element, arity

Methods inherited from Atom
label, hashCode, text

Methods inherited from SpecialNode
attributes, namespace, child

Methods inherited from Node
prefix, scope, getNamespace, attribute, attribute, descendant, descendant_or_self, theSeq, toString, toString, nameToString, xmlType

Methods inherited from NodeSeq
length, elements, apply, apply, \, \\

Methods inherited from Seq
lengthCompare, size, isEmpty, concat, last, lastOption, headOption, ++, isDefinedAt, lastIndexOf, map, flatMap, filter, take, drop, slice, takeWhile, dropWhile, reverse, contains, subseq, toArray, projection, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
partition, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override final` `def` equals(x : Any) : Boolean

  Returns true if x is structurally equal to this node. Compares prefix, label, attributes and children.

Parameters
  `x -` ...
Returns
  `true` if ..

Overrides
  Atom.equals

`override` `def` toString(sb : StringBuilder) : StringBuilder

  Returns text, with some characters escaped according to the XML specification.

Parameters
  `sb -` ...
Returns
  ...

Overrides
  Atom.toString

`override final` `def` productPrefix : java.lang.String

  By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.

Overrides
  Product.productPrefix

`override final` `def` productArity : Int

  return k for a product `A(x_1,...,x_k))`

Overrides
  Product.productArity

`override final` `def` productElement(arg0 : Int) : Any

  for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`

Parameters
  `n -` the position of the n-th element
Throws
  `IndexOutOfBoundsException -`
Returns
  ...

Overrides
  Product.productElement